<?php

namespace HS\Actions\Fortify;

use Laravel\Fortify\Rules\Password as FortifyPassword;

trait PasswordValidationRules
{
    /**
     * Get the validation rules used to validate passwords.
     *
     * @return array
     */
    protected function passwordRules()
    {
        if (isHosted()) {
            return [
                'required',
                'string',
                (new FortifyPassword)
                    ->requireUppercase()
                    ->requireNumeric(),
                \Illuminate\Validation\Rules\Password::min(8)
                    ->mixedCase()
                    ->uncompromised(),
                'confirmed',
            ];
        }

        return ['required', 'string', new FortifyPassword, 'confirmed'];
    }
}
