<?php

namespace HS\Domain\Documents\Facades;


use HS\Domain\Documents\VirusScan\FakeVirusScanner;
use HS\Domain\Documents\VirusScan\ScanResult;
use Illuminate\Support\Facades\Facade;

/**
 * @method static ScanResult scanFile($filePath)
 * @method static ScanResult scanContent($content)
 * @see \HS\Domain\Documents\VirusScan\VirusScanner
 */
class VirusScanner extends Facade
{
    public static function fake()
    {
        static::swap($fake = new FakeVirusScanner);

        return $fake;
    }

    /**
     * Get the registered name of the component.
     *
     * @return string
     *
     * @throws \RuntimeException
     */
    protected static function getFacadeAccessor()
    {
        return \HS\Domain\Documents\VirusScan\VirusScanner::class;
    }
}
